Invite a member
curl --request POST \
--url https://connie.ai/api/workspaces/{workspaceId}/members \
--header 'Content-Type: application/json' \
--header 'Cookie: <api-key>' \
--data '
{
"email": "sam@example.com",
"role": "member"
}
'import requests
url = "https://connie.ai/api/workspaces/{workspaceId}/members"
payload = {
"email": "sam@example.com",
"role": "member"
}
headers = {
"Cookie": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Cookie: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'sam@example.com', role: 'member'})
};
fetch('https://connie.ai/api/workspaces/{workspaceId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invited": false,
"member": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"display_name": "<string>",
"role": "member",
"joined_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Members
Invite a member
Owner or admin only. If the email belongs to a Connie account, that person is added to the workspace straight away (invited: false) and still gets an email. Otherwise an invitation valid for 7 days is emailed (invited: true). Only owners can invite someone as an owner.
POST
/
workspaces
/
{workspaceId}
/
members
Invite a member
Authorizations
The full Cookie header copied from a signed-in connie.ai browser request. See the Authentication page.
Path Parameters
The workspace id, as in the app URL connie.ai/<workspaceId>/....
Body
application/json